/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

// Cards list
///////////////////////

.form-institutionInterventions-filter,
.form-funderInterventions-filter {
  .dynform-field {
    display: inline-block;
    margin-right: 20px;
  }
}

.layout-buttons {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  justify-content: flex-end;
  padding: 1rem;
  width: 100%;
}

.cards-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;

  @include tablet {
    justify-content: flex-start;
  }

  .indicator_icon {
    font-size: 15px;
    display: inline-block;
    margin-right: 5px;
    min-width: 20px;
    min-height: 20px;
    padding-left: 5px;
    padding-top: 1px;
    border-radius: 100px;

    &.indicator_a {
      background-color: $color-green-01;
      color: $color-green-03;
    }
    &.indicator_b {
      background-color: $color-yellow-01;
      color: $color-yellow-02;
    }
    &.indicator_c {
      background-color: $color-orange-01;
      color: $color-orange-04;
    }
    &.indicator_d {
      background-color: $color-red-01;
      color: $color-red-03;
    }
  }

  .row-item {
    flex-shrink: 0;
    width: 100%;
    margin-bottom: 20px;

    @include tablet {
      width: 50%;
      padding: 0 10px;
    }

    @include desktop {
      width: calc(100% / 4);
    }

    &.list-override {
      width: 100%;
    }

    &:nth-child(odd) {

      .card-item {
        @include tablet {
          margin-left: auto;
          margin-right: 0;
        }

        @include desktop {
          margin-left: 0;
        }
      }
    }

    &:nth-child(even) {

      .card-item {
        @include tablet {
          margin-right: auto;
          margin-left: 0;
        }

        @include desktop {
          margin-right: 0;
        }
      }
    }

    .card-error {
      border: 5px solid $color-red-09;
    }

    .card-warning {
      border: 5px solid $color-orange-03;
    }

    &:not(.list-override) {
      .card-item {
        max-width: 400px;
      }
    }
  }

  .card-item {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: $color-white-01;
    border-radius: 0.25rem;
    overflow: hidden;
    box-shadow: 2px 2px 6px 0 $transparency-black-06;
    transition: all 250ms ease-in-out;
    margin-left: auto;
    margin-right: auto;
    position: relative;

    &.card-user {

      .card-item-image {
        min-height: auto;
        background: rgba(225, 225, 225, 0.4);
        aspect-ratio: auto;
        padding: 20px;

        .card-user-details {
          display: flex;
          align-items: center;
          flex-direction: column;
          justify-content: center;
          gap: 0.5rem;

          .username {
            font-size: 1.25rem;
          }

          .username,
          .email {
            max-width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }

        .user-tag {
          position: absolute;
          top: 0;
          right: 0;
          margin: 0.5rem;
          border-radius: 4px;
          cursor: pointer;

          > span {
            padding: 2px 6px;
            font-size: 12px;
          }

          &.active {
            color: $color-white-01;
            background-color: $color-green-06;
          }

          &.inactive {
            color: $color-white-01;
            background-color: $transparency-red-03;
          }
        }
      }
    }

    &.card-translation {
      &.translated {
        background-color: $color-green-06;
      }

      .card-item-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        width: 100% !important;
        
        @include tablet {
          flex-direction: row;
        }
        
        .translation-input {
          display: flex;
          flex-direction: column;
          gap: 1rem;
          width: 100%;
          
          @include tablet {
            display: grid;
            grid-template-columns: 1fr 1fr;
          }
        }
      }

      .card-item-actions {
        margin-top: 0;
      }
    }

    .card-item-image {
      min-height: 140px;
      width: 100%;
      aspect-ratio: 16/9;
      position: relative;

      > div > img {
        object-fit: cover !important;
      }

      .card-header {
        position: absolute;
        width: 100%;
        top: 0;
        left: 0;
        padding: 5px 10px;
        background-color: $transparency-black-03;
        color: $color-white-01;
        z-index: 1;

        > span {
          white-space: normal;
        }
      }

      .card-badge {
        $padding: 2px 27px 2px 6px;
        $bg-size: 28px;
        z-index: 2;
        position: absolute;
        right: 5px;
        bottom: 10px;

        &.form_school > span {
          padding: $padding;

          &:before {
            background: url(image-url('school.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        &.form_health_care > span {
          padding: $padding;

          &:before {
            background: url(image-url('health-care.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        &.form_tap > span {
          padding: $padding;

          &:before {
            background: url(image-url('pat.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        &.form_community > span {
          padding: $padding;

          &:before {
            background: url(image-url('community.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        &.form_wssystem > span {
          padding: $padding;

          &:before {
            background: url(image-url('water.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        &.form_wsprovider > span {
          padding: $padding;

          &:before {
            background: url(image-url('lender.png')) no-repeat center;
            background-size: $bg-size;
          }
        }

        > span {
          font-size: 12px;
          font-weight: 500;
          background-color: $transparency-grey-03;
          border-radius: 4px;
          padding: 2px 6px;
          position: relative;

          &:before {
            content: '';
            display: inline-block;
            width: 25px;
            height: 25px;
            border-radius: 50%;
            transform: translate3d(0, -50%, 0);
            overflow: hidden;
            position: absolute;
            top: 50%;
            right: -2px;
          }
        }
      }
    }

    .card-item-container {
      padding: 1rem .5rem;

      @include desktop {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 1rem;
      }
    }

    .card-item-content {
      position: relative;

      @include desktop {
        position: unset;
      }

      &.card-household {
        .process-status {
          display: flex;
          gap: 0.25rem;
          flex-wrap: wrap;

          > * {
            flex-grow: 1;
          }
        }
      }

      > h1,
      > h2,
      > h3,
      > h4,
      > h5,
      > h6 {
        @extend %h4;
        margin: 0 0 15px;
      }

      h4 {
        width: 100%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      .card-item-alerts {
        width: 100%;
        margin-top: 15px;
      }

      .card-user-roles {
        .roles-title {
          font-size: 1.125rem;
        }

        .roles-list {
          margin: 0;

          .role {
            list-style-position: inside;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }
    }

    .card-item-actions {
      display: flex;
      justify-content: space-between;
      padding: 0;
      margin-top: 1rem;

      @include desktop {
        flex-direction: column;
        gap: 0.25rem;
        padding: 0;
      }

      button:before {
        margin-right: 5px;
      }
    }
  }

  .list-override {

    .card-item {

      @include tablet {
        flex-direction: row;
      }

      .card-item-image {
        @include tablet {
          width: 30%;
        }
      }

      .card-item-container {
        @include tablet {
          width: 70%;
        }
      }

      .card-item-content {
        @include tablet {
          display: flex;
          flex-wrap: wrap;
          justify-content: space-between;
        }

        .card-title {
          @include tablet {
            width: 100%;
            margin: 0;
          }
        }

        .pill-style {
          @include tablet {
            flex-grow: 1;
            padding: 0 10px;
          }

          &:first-of-type {
            @include tablet {
              margin-top: 15px;
            }
          }
        }
      }

      .card-item-actions {
        @include tablet {
          flex-direction: row;
          justify-content: center;
          grid-gap: .8rem;
          gap: .8rem;
        }
      }
    }
  }
}

.empty-message {
  display: block;
  font-size: 18px;
  font-weight: 500;
  text-align: center;
  padding: 20px;
}
